Page MenuHomePhabricator

Can't successfully complete a second CAPTCHA in VisualEditor's save dialog
Closed, ResolvedPublic1 Story Points

Description

Hello! I can not add links, because the system does not accept the captcha. Captcha endlessly repeated. Thanks!

Event Timeline

Kulikov_Evgeniy_1987 raised the priority of this task from to Normal.
Kulikov_Evgeniy_1987 updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2015, 5:55 PM
Kulikov_Evgeniy_1987 set Security to None.
Krenair added a subscriber: Krenair.

Hi @Kulikov_Evgeniy_1987, thanks for taking the time to report this.
Unfortunately this report is not very useful because it does not describe the problem well. If you have time and can still reproduce the problem, please add a more useful and complete description to this report. What does "does not accept the captcha" mean exactly? Can you click the text field? Can you enter the Captcha text? Is the button to close the dialog clickable? What happens exactly after doing so? Which browser is this about?

Wondering if T109212 is the same

Change 232030 had a related patch set uploaded (by Esanders):
Clear old captchas after building save options

https://gerrit.wikimedia.org/r/232030

Esanders raised the priority of this task from Normal to Unbreak Now!.Aug 17 2015, 1:11 PM
Esanders edited a custom field.
Esanders renamed this task from Problem to captcha to Captchas not being accepted in VisualEditor.Aug 17 2015, 1:16 PM
Esanders added a subscriber: Trizek-WMF.

Change 232034 had a related patch set uploaded (by Alex Monk):
Clear old captchas after building save options

https://gerrit.wikimedia.org/r/232034

Change 232030 merged by jenkins-bot:
Clear old captchas after building save options

https://gerrit.wikimedia.org/r/232030

Change 232034 merged by jenkins-bot:
Clear old captchas after building save options

https://gerrit.wikimedia.org/r/232034

Jdforrester-WMF renamed this task from Captchas not being accepted in VisualEditor to Can't successfully complete a second CAPTCHA in VisualEditor's save dialog.Aug 17 2015, 2:45 PM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF assigned this task to Esanders.

Thank you for all your help support.

czar added a subscriber: czar.Mar 5 2018, 3:09 AM

Had an issue very similar to this happen twice today at an edit-a-thon:

New user translates an article from English Wikipedia to a non-English Wikipedia in VE. Goes to save/publish, gets a captcha. Either clicks enter or presses publish or presses preview+publish, and in all cases, the modal just refreshes the captcha with no visual feedback.

Dug deeper, converted to source editor and saw an editnotice: new users aren't allowed to add external links on these WPs. The issue is that we had no way of knowing this within VE (e.g., should have thrown an error/notif as heads up). We were able to save the edit once we stripped out the refs, which hardly seems like a smart system but here we are. An alternate solution would be some option of saving the draft for another editor to review rather than needing to remove all external links to satisfy the user right restrictions.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 5 2018, 3:09 AM
Restricted Application added a subscriber: TerraCodes. · View Herald Transcript
czar awarded a token.Mar 5 2018, 3:09 AM